# Jaxer.Overrides : Object
Return to: Jaxer Framework index

Namespace used for overriding some of the built-in JavaScript and JavaScript-environment (user-agent) functions that may not make sense or need to behave differently on the server.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static applyAll(Object global) : void Applies all the overrides on the given global object, including the no-ops "setTimeout" and "setInterval" (Advanced) | Show Details | 1.0 | no

Parameters

Object | global | The global (typically window) object

static extendDomSetters(Object global) : void
Alters the built-in setter methods for various DOM FORM element prototypes to alter the DOM as well as set the value of the associated in-memory property. E.g., normally when you set the value of an input element, the "value" attribute of the element in the DOM isn't altered. After running the function below, the "value" attribute on any input element will stay in sync with its in-memory value, so it will get serialized with the rest of the DOM when we're ready to send the DOM to the browser.
(Advanced)

Show Details

1.0

no

Parameters

Object | global | The global object (usually a window object) whose prototype setters are to be overridden.

static alert(String message) : void Alert in a server-side context will generate an info-level log message | Show Details | 1.0 | no

Parameters

String | message |

static confirm(String message) : void Confirm in a server-side context will generate an info-level log message | Show Details | 1.0 | no

Parameters

String | message |

static prompt(String message) : void Prompt in a server-side context will generate an info-level log message | Show Details | 1.0 | no

Parameters

String | message |

aptana_docs